/* definitions */
$data-style-list:
	"": "Auto",
	"text-intro": "Intro",
	"text-remark": "Remark",
	"text-quote": "Quote"
;
$data-email-style-list = $data-style-list;

$data-align-list:
	"":"Auto",
	"text-align-left":"Left",
	"text-align-center":"Center",
	"text-align-right":"Right"
;
$data-email-align-list = $data-align-list;

$data-color-list:
	"": "Auto",
	"text-color-grey1": "Dark",
	"text-color-grey0": "Black",
	"text-color-grey7": "White",
	"text-color-deco1": "Color",
	"text-color-ok": "OK",
	"text-color-warning": "Warning",
	"text-color-error": "Error"
;
$data-email-color-list = $data-color-list;

$data-decoration-list: 
	"": "Auto",
	"text-highlight": "Highlighted"
;
$data-email-decoration-list = $data-decoration-list;


.text {
    margin-top: look/$spacing-brick-text-top;
    margin-bottom: look/$spacing-brick-text-bottom;
	
	&:first-child {
		margin-top: 0;
	}
	
	&:last-child {
		margin-bottom: 0;
	}
	
	&.fe.fe-first-child {
		margin-top: 0;
	}
	
	&.fe:last-child {
		margin-bottom: look/$spacing-brick-text-bottom;
	}
}

.text{
	@PDF {
		sv-txt-font: look/$font-a-light;
		font-size: 9.5pt;
		line-height: 12pt;
	}	
} 
.text.paragraph {
	font-size: look/$font-size-s;
	line-height: look/$lineheight-normal;
	
	@PDF {
		sv-txt-font: look/$font-a-light;
		font-size: 9.5pt;
		line-height: 12pt;
	}
}
.text.text-intro {
	font-size: look/$font-size-m;
}
.text.text-remark {
	font-size: look/$font-size-xxs;
}
.text.text-quote {
	font-size: look/$font-size-xxl;
	
	&:before {
		content: "«";
	}
	&:after {
		content: "»";
	}
}
.text.text-highlight {
	sv-txt-font: look/$font-a-bold;
}

.blocktext {
	height: 100%;
	max-width: look/$content-half-max-width;
}



.text.d-text-big {
	font-size: look/$font-size-l;
}
.text.d-text-medium {
	font-size: look/$font-size-m;
}
.text.d-text-small {
	font-size: look/$font-size-xs;
}
.text.d-text-tiny {
	font-size: look/$font-size-xxs;
	
	@PDF {
		sv-txt-font: look/$font-a-light;
		font-size: 8.5pt;
		line-height:10pt;
	}
}


/* just for richtext */
strong {
	sv-txt-font: look/$font-a-bold;
}
em {
	font-style: italic;
}


/* bo */
.bo-text-preview-list {
	line-height: 1;
}


.bo-sl-option-text-color-grey0 { background-color: colors/$grey0; }
.bo-sl-option-text-color-grey1 { background-color: colors/$grey1; }
.bo-sl-option-text-color-grey2 { background-color: colors/$grey2; }
.bo-sl-option-text-color-grey3 { background-color: colors/$grey3; }
.bo-sl-option-text-color-grey4 { background-color: colors/$grey4; }
.bo-sl-option-text-color-grey5 { background-color: colors/$grey5; }
.bo-sl-option-text-color-grey6 { background-color: colors/$grey6; }
.bo-sl-option-text-color-grey7 { background-color: colors/$grey7; }
.bo-sl-option-text-color-deco1 { background-color: colors/$deco1; }
.bo-sl-option-text-color-deco2 { background-color: colors/$deco2; }
.bo-sl-option-text-color-deco3 { background-color: colors/$deco3; }
.bo-sl-option-text-color-deco4 { background-color: colors/$deco4; }
.bo-sl-option-text-color-deco5 { background-color: colors/$deco5; }
.bo-sl-option-text-color-deco6 { background-color: colors/$deco6; }
.bo-sl-option-text-color-deco7 { background-color: colors/$deco7; }
.bo-sl-option-text-color-ok { background-color: colors/$ok; }
.bo-sl-option-text-color-warning { background-color: colors/$warning; }
.bo-sl-option-text-color-error { background-color: colors/$error; }


.text-color-grey0 { color: colors/$grey0; }
.link.text-color-grey0 { @extend .text-color-grey0; }
.text-color-grey1 { color: colors/$grey1; }
.link.text-color-grey1 { @extend .text-color-grey1; }
.text-color-grey2 { color: colors/$grey2; }
.link.text-color-grey2 { @extend .text-color-grey2; }
.text-color-grey3 { color: colors/$grey3; }
.link.text-color-grey3 { @extend .text-color-grey3; }
.text-color-grey4 { color: colors/$grey4; }
.link.text-color-grey4 { @extend .text-color-grey4; }
.text-color-grey5 { color: colors/$grey5; }
.link.text-color-grey5 { @extend .text-color-grey5; }
.text-color-grey6 { color: colors/$grey6; }
.link.text-color-grey6 { @extend .text-color-grey6; }
.text-color-grey7 { color: colors/$grey7; }
.link.text-color-grey7 { @extend .text-color-grey7; }

.text-color-deco1 { color: colors/$deco1; }
.link.text-color-deco1 { @extend .text-color-deco1; }
.text-color-deco2 { color: colors/$deco2; }
.link.text-color-deco2 { @extend .text-color-deco2; }
.text-color-deco3 { color: colors/$deco3; }
.link.text-color-deco3 { @extend .text-color-deco7; }
.text-color-deco4 { color: colors/$deco4; }
.link.text-color-deco4 { @extend .text-color-deco4; }
.text-color-deco5 { color: colors/$deco5; }
.link.text-color-deco5 { @extend .text-color-deco5; }
.text-color-deco6 { color: colors/$deco6; }
.link.text-color-deco6 { @extend .text-color-deco6; }
.text-color-deco7 { color: colors/$deco7; }
.link.text-color-deco7 { @extend .text-color-deco7; }

.text-color-ok { color: colors/$ok; }
.link.text-color-ok { @extend .text-color-ok; }
.text-color-warning { color: colors/$warning; }
.link.text-color-warning { @extend .text-color-warning; }
.text-color-error { color: colors/$error; }
.link.text-color-error { @extend .text-color-error; }

.shadow-color-grey0 { text-shadow: 1px 1px 3px colors/$grey0; }
.shadow-color-grey1 { text-shadow: 1px 1px 3px colors/$grey1; }
.shadow-color-grey3 { text-shadow: 1px 1px 3px colors/$grey3; }
.shadow-color-grey7 { text-shadow: 1px 1px 3px colors/$grey7; }

.text-align-left { text-align: left; }
.text-align-center { text-align: center; }
.text-align-right { text-align: right; }
